from py_snmp_sync import (
    SyncUdpTransportTarget, sync_get_cmd, ObjectIdentity, CommunityData
)

def test_basic_get():
    target = SyncUdpTransportTarget(('demo.pysnmp.com', 161))
    oid = ObjectIdentity('1.3.6.1.2.1.1.1.0')
    community = CommunityData("public", mpModel=0)
    err, status, index, binds = sync_get_cmd(community, target, oid)
    assert err is None
    assert not status
    assert binds
    assert len(binds) == 1
    assert len(binds[0]) == 2
    name, value = binds[0]
    assert name.prettyPrint() == "1.3.6.1.2.1.1.1.0"
    assert value.prettyPrint() == "#SNMP Agent on .NET Standard"
